<mat-card>
  <mat-card-header>
    <mat-card-title>{{hero.superhero}}</mat-card-title>
    <mat-card-subtitle>
      {{hero.alter_ego}}
    </mat-card-subtitle>
  </mat-card-header>

  <img mat-card-image [src]="hero | heroImage" [alt]="hero.superhero">

  <mat-card-content class="mt-2">
    <h4>{{hero.publisher}}</h4>
    <p>
      <strong>Primera aparacion</strong> {{hero.first_appearance}}
      <br>
      <mat-chip-listbox>
        <mat-chip *ngFor="let name of hero.characters.split(',') | slice:0:3">
          {{name}}
        </mat-chip>
      </mat-chip-listbox>
    </p>
  </mat-card-content>

  <mat-divider></mat-divider>

  <mat-card-actions>
    <button mat-button color="primary" [routerLink]="['/heroes/edit', hero.id]">
      <mat-icon>edit</mat-icon>
      Editar
    </button>
    <span class="spacer"></span>
    <button mat-button mat-raised [routerLink]="['/heroes', hero.id]">
      <mat-icon>more_horiz</mat-icon>
      Ver más
    </button>
  </mat-card-actions>
</mat-card>